### Hierarchy

- Bar

## Index

### Constructors

- constructor

### Methods

- calculateETA
- formatTime
- getTotal
- increment
- render
- setTotal
- start
- stop
- stopTimer
- update

## Constructors

### constructor

- new Bar(opt: Options, preset?: Preset): Bar

- - Defined in node_modules/@types/cli-progress/index.d.ts:72

  Initialize a new Progress bar. An instance can be used multiple times! it's not required to re-create it!

  #### Parameters

  - ##### opt: Options

  - ##### Optional preset: Preset

  #### Returns Bar

## Methods

### calculateETA

- calculateETA(): void

- - Defined in node_modules/@types/cli-progress/index.d.ts:76

  #### Returns void

### formatTime

- formatTime(t: any, roundToMultipleOf: any): any

- - Defined in node_modules/@types/cli-progress/index.d.ts:78

  #### Parameters

  - ##### t: any

  - ##### roundToMultipleOf: any

  #### Returns any

### getTotal

- getTotal(): any

- - Defined in node_modules/@types/cli-progress/index.d.ts:80

  #### Returns any

### increment

- increment(step: number, payload?: undefined | object): void

- - Defined in node_modules/@types/cli-progress/index.d.ts:83

  Increases the current progress value by a specified amount (default +1). Update payload optionally

  #### Parameters

  - ##### step: number

  - ##### Optional payload: undefined | object

  #### Returns void

### render

- render(): void

- - Defined in node_modules/@types/cli-progress/index.d.ts:85

  #### Returns void

### setTotal

- setTotal(total: number): void

- - Defined in node_modules/@types/cli-progress/index.d.ts:88

  Sets the total progress value while progressbar is active. Especially useful handling dynamic tasks.

  #### Parameters

  - ##### total: number

  #### Returns void

### start

- start(total: number, startValue: number, payload?: undefined | object): void

- - Defined in node_modules/@types/cli-progress/index.d.ts:91

  Starts the progress bar and set the total and initial value

  #### Parameters

  - ##### total: number

  - ##### startValue: number

  - ##### Optional payload: undefined | object

  #### Returns void

### stop

- stop(): void

- - Defined in node_modules/@types/cli-progress/index.d.ts:94

  Stops the progress bar and go to next line

  #### Returns void

### stopTimer

- stopTimer(): void

- - Defined in node_modules/@types/cli-progress/index.d.ts:96

  #### Returns void

### update

- update(current: number, payload?: undefined | object): void

- - Defined in node_modules/@types/cli-progress/index.d.ts:99

  Sets the current progress value and optionally the payload with values of custom tokens as a second parameter

  #### Parameters

  - ##### current: number

  - ##### Optional payload: undefined | object

  #### Returns void

Generated using TypeDoc